sudo adduser www-"$site"-tls www-"$site"
sudo adduser php_"$site" www-"$site"
sudo adduser php_"$site" postgres-data
sudo adduser php_"$site" log-php-"$site"

hint="run before: remote/runit-configure nginx -- $site"
assert "sudo test -f /etc/$site/config.php" hint
sudo chgrp php_$site /etc/"$site"/config.php

sudo sv start postgres
while ! sudo -u postgres psql </dev/null
do sleep 1; done

"$tool"/local/postgresql-user-create     "$site"
"$tool"/local/postgresql-database-create "$site"

eval home="~www-$site"
if test ! shared = "$(sudo -u postgres psql -AqtX "$site" <<-EOF
	SELECT c.relname
		FROM pg_catalog.pg_class c
		LEFT JOIN pg_catalog.pg_namespace n ON n.oid = c.relnamespace
		WHERE c.relkind = 'r'
		AND c.relname = 'shared'
		AND n.nspname = 'public';
	EOF
 )"
 then
	sudo cat "$home"/sql/pgsql.schema.sql |
	sudo -u php_"$site" psql -f - -U "$site" --set ON_ERROR_STOP=1 "$site"
 fi

sudo install -d -m 750 -o root -g php_"$site" \
 /etc/"$site"
sudo find "$tool"/etc/"$site" -type f \
 -not -name config.php \
 -exec install -m 640 -o root -g php_"$site" \
 -t /etc/"$site"/ {} +
